<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Bootstrap Grid System</title>
    <!-- CSS bootstrap -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
  </head>
  <body class="text-center">
    <h1>Bootstrap Introduction and Simple Styles</h1>

    <!-- two column grid -->
    <h2>Two Columns</h2>

    <!-- container fluid occupies the full width of the page, while the regular container has spacing on the left and right side -->
    <div class="container-fluid">
      <div class="text-light row">
        <h3 class="col-12 text-dark">1:1 Ratio</h3>
        <!-- each row has 12 columns, and the two elements below are occupying 6 colums each. Hence, we see the two elements occupying
        the same width side by side -->
        <div class="bg-primary col-6 py-3 border border-dark">6 cols</div>
        <div class="bg-secondary col-6 py-3 border border-dark">6 cols</div>
      </div>

      <div class="text-light row">
        <h3 class="col-12 text-dark">1:3 Ratio</h3>

        <div class="bg-primary col-3 py-3 border border-dark">3 cols</div>
        <div class="bg-secondary col-9 py-3 border border-dark">9 cols</div>
      </div>
    </div>

    <!-- three column grid -->
    <h2>Three Columns</h2>

    <div class="container-fluid">
      <div class="text-light row">
        <h3 class="col-12 text-dark">1:1:1 Ratio</h3>

        <div class="bg-primary col-4 py-3 border border-dark">4 cols</div>
        <div class="bg-secondary col-4 py-3 border border-dark">4 cols</div>
        <div class="bg-warning col-4 py-3 border border-dark">4 cols</div>
      </div>

      <div class="text-light row">
        <h3 class="col-12 text-dark">1:2:1 Ratio</h3>

        <div class="bg-primary col-3 py-3 border border-dark">3 cols</div>
        <div class="bg-secondary col-6 py-3 border border-dark">6 cols</div>
        <div class="bg-warning col-3 py-3 border border-dark">3 cols</div>
      </div>

      <div class="text-light row">
        <h3 class="col-12 text-dark">Uneven Ratio</h3>

        <div class="bg-primary col-3 py-3 border border-dark">3 cols</div>
        <div class="bg-secondary col-7 py-3 border border-dark">7 cols</div>
        <div class="bg-warning col-2 py-3 border border-dark">2 cols</div>
      </div>
    </div>

    <!-- automatic sizing -->
    <h2>Automatic Sizing</h2>

    <div class="container-fluid">
      <div class="text-light row">
        <div class="bg-primary col py-3 border border-dark">Auto</div>
        <div class="bg-secondary col py-3 border border-dark">Auto</div>
        <div class="bg-secondary col py-3 border border-dark">Auto</div>
        <div class="bg-secondary col py-3 border border-dark">Auto</div>
        <div class="bg-secondary col py-3 border border-dark">Auto</div>
      </div>

      <div class="text-light row">
        <div class="col-6 bg-primary border border-dark">I'am a column</div>
        <div class="col-6 bg-primary border border-dark">I'am a column</div>
        <div class="col-3 bg-primary border border-dark">I'am a column</div>
        <div class="col-9 bg-primary border border-dark">I'am a column</div>
        <div class="col-12 bg-primary border border-dark">I'am a column</div>
      </div>
    </div>

    <!-- bootstrap js -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
